//
// PropertyScoreInferenceScoresBathroom.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct PropertyScoreInferenceScoresBathroom: Codable, JSONEncodable, Hashable {

    public var trendiness: Score?

    public init(trendiness: Score? = nil) {
        self.trendiness = trendiness
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case trendiness
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(trendiness, forKey: .trendiness)
    }
}

